%define name enblend
%define version 4.0
%define rel 1
%define release %mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tool for compositing images
Source0:	http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
License:	GPLv2+
Group:		Graphics
Url:		http://enblend.sourceforge.net
BuildRequires:	boost-devel
BuildRequires:	tiff-devel
BuildRequires:  glew-devel
BuildRequires:  mesaglut-devel
BuildRequires:  lcms-devel
BuildRequires:  plotutils-devel
BuildRequires:	png-devel
BuildRequires:	ilmbase-devel
Provides:	enfuse = %version-%release

%description
Enblend is a tool for compositing images. Given a set of images that overlap 
in some irregular way, Enblend overlays them in such a way that the seam 
between the images is invisible, or at least very difficult to see.

%prep 
%setup -q -n enblend-enfuse-%{version}-753b534c819d


%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README VIGRA_LICENSE
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse


%changelog
* Fri Feb 18 2011 mikala <mikala> 4.0-1.mga1
+ Revision: 53573
- Fix files list
- Update to 4.0
- add plotutils-devel as BR (libxmi support is now provided by plotutils)
- drop patch0
- remove mdk macros
- remove buildroot
- imported package enblend


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2-3mdv2011.0
+ Revision: 610361
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 3.2-2mdv2009.1
+ Revision: 350332
- 2009.1 rebuild

* Thu Sep 11 2008 Funda Wang <fwang@mandriva.org> 3.2-1mdv2009.0
+ Revision: 283661
- New version 3.2 final
- add ilmbase-devel BR

* Sun Jul 20 2008 Frederic Crozat <fcrozat@mandriva.com> 3.1-0.20080528.2mdv2009.0
+ Revision: 239187
- Patch0: fix CXX flags used
- Disable GPU support when building for 2008.1 or older

* Wed May 28 2008 Nicholas Brown <nickbrown@mandriva.org> 3.1-0.20080528.1mdv2009.0
+ Revision: 212655
- cvs snapshot of 3.1
  remove patch merged upstream
  fix build dependancies for x86_64
  package enfuse
- New version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.5-2mdv2008.1
+ Revision: 170813
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.5-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 13 2005 Lenny Cartier <lenny@mandriva.com> 2.5-1mdk
- 2.5

* Mon Dec 05 2005 Lenny Cartier <lenny@mandriva.com> 2.4-1mdk
- 2.4

* Mon Apr 18 2005 Lenny Cartier <lenny@mandriva.com> 2.3-1mdk
- 2.3

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 2.1-1mdk
- 2.1
- Update url
- Drop patch0

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-2mdk 
- Couriousous <couriousous@zarb.org> :
 - Added multilayer tiff support

* Wed Jun 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.3-1mdk
- contributed by Couriousous <couriousous@sceen.net>

